Skip to main content
GET
https://api.aisa.one/apis/v1
/
agentmail
/
domains
List Domains
curl --request GET \
  --url https://api.aisa.one/apis/v1/agentmail/domains \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "domains": [
    {
      "domain_id": "<string>",
      "domain": "<string>",
      "feedback_enabled": true,
      "updated_at": "2023-11-07T05:31:56Z",
      "created_at": "2023-11-07T05:31:56Z",
      "pod_id": "<string>",
      "client_id": "<string>"
    }
  ],
  "limit": 123,
  "next_page_token": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer authentication

Query Parameters

limit
integer

Limit of number of items returned.

page_token
string

Page token for pagination.

ascending
boolean

Sort in ascending temporal order.

Response

200 - application/json

Response with status 200

count
integer
required

Number of items returned.

domains
DomainItem · object[]
required

Ordered by created_at descending.

limit
integer

Limit of number of items returned.

next_page_token
string

Page token for pagination.